using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace ChartsDemo
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
	
		private System.Windows.Forms.Timer timer1;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.RadioButton type_radioButton1;
		private System.Windows.Forms.RadioButton type_radioButton2;
		private System.Windows.Forms.RadioButton type_radioButton3;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.RadioButton spacing_radioButton1;
		private System.Windows.Forms.RadioButton spacing_radioButton2;
		private System.Windows.Forms.RadioButton spacing_radioButton3;
		private System.Windows.Forms.RadioButton spacing_radioButton4;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.RadioButton fill_radioButton1;
		private System.Windows.Forms.RadioButton fill_radioButton2;
		private System.Windows.Forms.RadioButton fill_radioButton3;
		private System.Windows.Forms.RadioButton fill_radioButton4;
		private System.Windows.Forms.CheckBox fill_checkBox1;
		private System.Windows.Forms.CheckBox fill_checkBox2;
		private System.Windows.Forms.GroupBox groupBox4;
		private System.Windows.Forms.CheckBox other_checkBox1;
		private System.Windows.Forms.CheckBox other_checkBox2;
		private System.Windows.Forms.CheckBox other_checkBox3;
		private System.Windows.Forms.CheckBox checkBox1;
		private System.Windows.Forms.CheckBox checkBox2;
		private System.Windows.Forms.SaveFileDialog saveFileDialog1;
		private System.Windows.Forms.Button button_start;
		private System.Windows.Forms.Button button_stop;
		private System.Windows.Forms.Button button_save;
		private System.Windows.Forms.Button button_about;
		private System.Windows.Forms.Button button_close;
		private System.Windows.Forms.CheckBox group_checkBox;
		private ADSSCharts.ADSSCharts adssCharts1;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.button_start = new System.Windows.Forms.Button();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.type_radioButton3 = new System.Windows.Forms.RadioButton();
			this.type_radioButton2 = new System.Windows.Forms.RadioButton();
			this.type_radioButton1 = new System.Windows.Forms.RadioButton();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.spacing_radioButton4 = new System.Windows.Forms.RadioButton();
			this.spacing_radioButton3 = new System.Windows.Forms.RadioButton();
			this.spacing_radioButton2 = new System.Windows.Forms.RadioButton();
			this.spacing_radioButton1 = new System.Windows.Forms.RadioButton();
			this.groupBox3 = new System.Windows.Forms.GroupBox();
			this.checkBox2 = new System.Windows.Forms.CheckBox();
			this.fill_checkBox1 = new System.Windows.Forms.CheckBox();
			this.fill_radioButton3 = new System.Windows.Forms.RadioButton();
			this.fill_radioButton2 = new System.Windows.Forms.RadioButton();
			this.fill_radioButton1 = new System.Windows.Forms.RadioButton();
			this.fill_radioButton4 = new System.Windows.Forms.RadioButton();
			this.fill_checkBox2 = new System.Windows.Forms.CheckBox();
			this.groupBox4 = new System.Windows.Forms.GroupBox();
			this.group_checkBox = new System.Windows.Forms.CheckBox();
			this.checkBox1 = new System.Windows.Forms.CheckBox();
			this.other_checkBox1 = new System.Windows.Forms.CheckBox();
			this.other_checkBox2 = new System.Windows.Forms.CheckBox();
			this.other_checkBox3 = new System.Windows.Forms.CheckBox();
			this.button_stop = new System.Windows.Forms.Button();
			this.button_save = new System.Windows.Forms.Button();
			this.saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
			this.button_about = new System.Windows.Forms.Button();
			this.button_close = new System.Windows.Forms.Button();
			this.adssCharts1 = new ADSSCharts.ADSSCharts();
			this.groupBox1.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.groupBox3.SuspendLayout();
			this.groupBox4.SuspendLayout();
			this.SuspendLayout();
			// 
			// button_start
			// 
			this.button_start.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.button_start.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(255)), ((System.Byte)(192)));
			this.button_start.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button_start.Location = new System.Drawing.Point(464, 384);
			this.button_start.Name = "button_start";
			this.button_start.TabIndex = 1;
			this.button_start.Text = "Start";
			this.button_start.Click += new System.EventHandler(this.button_start_Click);
			// 
			// timer1
			// 
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// groupBox1
			// 
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox1.Controls.Add(this.type_radioButton3);
			this.groupBox1.Controls.Add(this.type_radioButton2);
			this.groupBox1.Controls.Add(this.type_radioButton1);
			this.groupBox1.Location = new System.Drawing.Point(656, 8);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(120, 96);
			this.groupBox1.TabIndex = 3;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "Type";
			// 
			// type_radioButton3
			// 
			this.type_radioButton3.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.type_radioButton3.Location = new System.Drawing.Point(8, 64);
			this.type_radioButton3.Name = "type_radioButton3";
			this.type_radioButton3.TabIndex = 2;
			this.type_radioButton3.Text = "Pie Chart";
			this.type_radioButton3.CheckedChanged += new System.EventHandler(this.radioButton3_CheckedChanged);
			// 
			// type_radioButton2
			// 
			this.type_radioButton2.Checked = true;
			this.type_radioButton2.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.type_radioButton2.Location = new System.Drawing.Point(8, 40);
			this.type_radioButton2.Name = "type_radioButton2";
			this.type_radioButton2.TabIndex = 1;
			this.type_radioButton2.TabStop = true;
			this.type_radioButton2.Text = "Horizontal bar";
			this.type_radioButton2.CheckedChanged += new System.EventHandler(this.radioButton2_CheckedChanged);
			// 
			// type_radioButton1
			// 
			this.type_radioButton1.Cursor = System.Windows.Forms.Cursors.Default;
			this.type_radioButton1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.type_radioButton1.Location = new System.Drawing.Point(8, 16);
			this.type_radioButton1.Name = "type_radioButton1";
			this.type_radioButton1.TabIndex = 0;
			this.type_radioButton1.Text = "Vertical bar";
			this.type_radioButton1.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
			// 
			// groupBox2
			// 
			this.groupBox2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox2.Controls.Add(this.spacing_radioButton4);
			this.groupBox2.Controls.Add(this.spacing_radioButton3);
			this.groupBox2.Controls.Add(this.spacing_radioButton2);
			this.groupBox2.Controls.Add(this.spacing_radioButton1);
			this.groupBox2.Location = new System.Drawing.Point(656, 112);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(120, 128);
			this.groupBox2.TabIndex = 4;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "Spacing";
			// 
			// spacing_radioButton4
			// 
			this.spacing_radioButton4.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.spacing_radioButton4.Location = new System.Drawing.Point(8, 96);
			this.spacing_radioButton4.Name = "spacing_radioButton4";
			this.spacing_radioButton4.TabIndex = 3;
			this.spacing_radioButton4.Text = "Large";
			this.spacing_radioButton4.CheckedChanged += new System.EventHandler(this.spacing_radioButton4_CheckedChanged);
			// 
			// spacing_radioButton3
			// 
			this.spacing_radioButton3.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.spacing_radioButton3.Location = new System.Drawing.Point(8, 72);
			this.spacing_radioButton3.Name = "spacing_radioButton3";
			this.spacing_radioButton3.TabIndex = 2;
			this.spacing_radioButton3.Text = "Medium";
			this.spacing_radioButton3.CheckedChanged += new System.EventHandler(this.spacing_radioButton3_CheckedChanged);
			// 
			// spacing_radioButton2
			// 
			this.spacing_radioButton2.Checked = true;
			this.spacing_radioButton2.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.spacing_radioButton2.Location = new System.Drawing.Point(8, 48);
			this.spacing_radioButton2.Name = "spacing_radioButton2";
			this.spacing_radioButton2.TabIndex = 1;
			this.spacing_radioButton2.TabStop = true;
			this.spacing_radioButton2.Text = "Small";
			this.spacing_radioButton2.CheckedChanged += new System.EventHandler(this.spacing_radioButton2_CheckedChanged);
			// 
			// spacing_radioButton1
			// 
			this.spacing_radioButton1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.spacing_radioButton1.Location = new System.Drawing.Point(8, 24);
			this.spacing_radioButton1.Name = "spacing_radioButton1";
			this.spacing_radioButton1.TabIndex = 0;
			this.spacing_radioButton1.Text = "No Space";
			this.spacing_radioButton1.CheckedChanged += new System.EventHandler(this.spacing_radioButton1_CheckedChanged);
			// 
			// groupBox3
			// 
			this.groupBox3.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox3.Controls.Add(this.checkBox2);
			this.groupBox3.Controls.Add(this.fill_checkBox1);
			this.groupBox3.Controls.Add(this.fill_radioButton3);
			this.groupBox3.Controls.Add(this.fill_radioButton2);
			this.groupBox3.Controls.Add(this.fill_radioButton1);
			this.groupBox3.Controls.Add(this.fill_radioButton4);
			this.groupBox3.Controls.Add(this.fill_checkBox2);
			this.groupBox3.Location = new System.Drawing.Point(528, 16);
			this.groupBox3.Name = "groupBox3";
			this.groupBox3.Size = new System.Drawing.Size(120, 224);
			this.groupBox3.TabIndex = 5;
			this.groupBox3.TabStop = false;
			this.groupBox3.Text = "Fill && lines";
			// 
			// checkBox2
			// 
			this.checkBox2.Checked = true;
			this.checkBox2.CheckState = System.Windows.Forms.CheckState.Checked;
			this.checkBox2.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.checkBox2.Location = new System.Drawing.Point(8, 184);
			this.checkBox2.Name = "checkBox2";
			this.checkBox2.Size = new System.Drawing.Size(104, 32);
			this.checkBox2.TabIndex = 4;
			this.checkBox2.Text = "Background Image";
			this.checkBox2.CheckedChanged += new System.EventHandler(this.checkBox2_CheckedChanged);
			// 
			// fill_checkBox1
			// 
			this.fill_checkBox1.Checked = true;
			this.fill_checkBox1.CheckState = System.Windows.Forms.CheckState.Checked;
			this.fill_checkBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.fill_checkBox1.Location = new System.Drawing.Point(8, 120);
			this.fill_checkBox1.Name = "fill_checkBox1";
			this.fill_checkBox1.Size = new System.Drawing.Size(104, 32);
			this.fill_checkBox1.TabIndex = 3;
			this.fill_checkBox1.Text = "Gradient direction";
			this.fill_checkBox1.CheckedChanged += new System.EventHandler(this.fill_checkBox1_CheckedChanged);
			// 
			// fill_radioButton3
			// 
			this.fill_radioButton3.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.fill_radioButton3.Location = new System.Drawing.Point(8, 64);
			this.fill_radioButton3.Name = "fill_radioButton3";
			this.fill_radioButton3.TabIndex = 2;
			this.fill_radioButton3.Text = "Color array";
			this.fill_radioButton3.CheckedChanged += new System.EventHandler(this.fill_radioButton3_CheckedChanged);
			// 
			// fill_radioButton2
			// 
			this.fill_radioButton2.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.fill_radioButton2.Location = new System.Drawing.Point(8, 40);
			this.fill_radioButton2.Name = "fill_radioButton2";
			this.fill_radioButton2.TabIndex = 1;
			this.fill_radioButton2.Text = "Gradient";
			this.fill_radioButton2.CheckedChanged += new System.EventHandler(this.fill_radioButton2_CheckedChanged);
			// 
			// fill_radioButton1
			// 
			this.fill_radioButton1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.fill_radioButton1.Location = new System.Drawing.Point(8, 16);
			this.fill_radioButton1.Name = "fill_radioButton1";
			this.fill_radioButton1.TabIndex = 0;
			this.fill_radioButton1.Text = "Solid";
			this.fill_radioButton1.CheckedChanged += new System.EventHandler(this.fill_radioButton1_CheckedChanged);
			// 
			// fill_radioButton4
			// 
			this.fill_radioButton4.Checked = true;
			this.fill_radioButton4.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.fill_radioButton4.Location = new System.Drawing.Point(8, 88);
			this.fill_radioButton4.Name = "fill_radioButton4";
			this.fill_radioButton4.Size = new System.Drawing.Size(104, 32);
			this.fill_radioButton4.TabIndex = 2;
			this.fill_radioButton4.TabStop = true;
			this.fill_radioButton4.Text = "Color array Gradient";
			this.fill_radioButton4.CheckedChanged += new System.EventHandler(this.fill_radioButton4_CheckedChanged);
			// 
			// fill_checkBox2
			// 
			this.fill_checkBox2.Checked = true;
			this.fill_checkBox2.CheckState = System.Windows.Forms.CheckState.Checked;
			this.fill_checkBox2.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.fill_checkBox2.Location = new System.Drawing.Point(8, 152);
			this.fill_checkBox2.Name = "fill_checkBox2";
			this.fill_checkBox2.Size = new System.Drawing.Size(104, 32);
			this.fill_checkBox2.TabIndex = 3;
			this.fill_checkBox2.Text = "Outline";
			this.fill_checkBox2.CheckedChanged += new System.EventHandler(this.fill_checkBox2_CheckedChanged);
			// 
			// groupBox4
			// 
			this.groupBox4.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox4.Controls.Add(this.group_checkBox);
			this.groupBox4.Controls.Add(this.checkBox1);
			this.groupBox4.Controls.Add(this.other_checkBox1);
			this.groupBox4.Controls.Add(this.other_checkBox2);
			this.groupBox4.Controls.Add(this.other_checkBox3);
			this.groupBox4.Location = new System.Drawing.Point(528, 248);
			this.groupBox4.Name = "groupBox4";
			this.groupBox4.Size = new System.Drawing.Size(248, 128);
			this.groupBox4.TabIndex = 6;
			this.groupBox4.TabStop = false;
			this.groupBox4.Text = "Other";
			// 
			// group_checkBox
			// 
			this.group_checkBox.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.group_checkBox.Location = new System.Drawing.Point(8, 96);
			this.group_checkBox.Name = "group_checkBox";
			this.group_checkBox.Size = new System.Drawing.Size(216, 24);
			this.group_checkBox.TabIndex = 2;
			this.group_checkBox.Text = "Group Demo (Group Size = 3)";
			this.group_checkBox.CheckedChanged += new System.EventHandler(this.group_checkBox_CheckedChanged);
			// 
			// checkBox1
			// 
			this.checkBox1.Checked = true;
			this.checkBox1.CheckState = System.Windows.Forms.CheckState.Checked;
			this.checkBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.checkBox1.Location = new System.Drawing.Point(128, 64);
			this.checkBox1.Name = "checkBox1";
			this.checkBox1.Size = new System.Drawing.Size(104, 32);
			this.checkBox1.TabIndex = 1;
			this.checkBox1.Text = "Show Shadows";
			this.checkBox1.CheckedChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
			// 
			// other_checkBox1
			// 
			this.other_checkBox1.Checked = true;
			this.other_checkBox1.CheckState = System.Windows.Forms.CheckState.Checked;
			this.other_checkBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.other_checkBox1.Location = new System.Drawing.Point(8, 24);
			this.other_checkBox1.Name = "other_checkBox1";
			this.other_checkBox1.TabIndex = 0;
			this.other_checkBox1.Text = "Show Captions";
			this.other_checkBox1.CheckedChanged += new System.EventHandler(this.other_checkBox1_CheckedChanged);
			// 
			// other_checkBox2
			// 
			this.other_checkBox2.Checked = true;
			this.other_checkBox2.CheckState = System.Windows.Forms.CheckState.Checked;
			this.other_checkBox2.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.other_checkBox2.Location = new System.Drawing.Point(8, 64);
			this.other_checkBox2.Name = "other_checkBox2";
			this.other_checkBox2.TabIndex = 0;
			this.other_checkBox2.Text = "Show Values";
			this.other_checkBox2.CheckedChanged += new System.EventHandler(this.other_checkBox2_CheckedChanged);
			// 
			// other_checkBox3
			// 
			this.other_checkBox3.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.other_checkBox3.Location = new System.Drawing.Point(128, 24);
			this.other_checkBox3.Name = "other_checkBox3";
			this.other_checkBox3.Size = new System.Drawing.Size(104, 32);
			this.other_checkBox3.TabIndex = 0;
			this.other_checkBox3.Text = "Show Inside/Outside";
			this.other_checkBox3.CheckedChanged += new System.EventHandler(this.other_checkBox3_CheckedChanged);
			// 
			// button_stop
			// 
			this.button_stop.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.button_stop.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(224)), ((System.Byte)(192)));
			this.button_stop.Enabled = false;
			this.button_stop.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button_stop.Location = new System.Drawing.Point(544, 384);
			this.button_stop.Name = "button_stop";
			this.button_stop.TabIndex = 7;
			this.button_stop.Text = "Stop";
			this.button_stop.Click += new System.EventHandler(this.button_stop_Click);
			// 
			// button_save
			// 
			this.button_save.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.button_save.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(255)), ((System.Byte)(255)));
			this.button_save.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button_save.Location = new System.Drawing.Point(624, 384);
			this.button_save.Name = "button_save";
			this.button_save.TabIndex = 8;
			this.button_save.Text = "Save to file";
			this.button_save.Click += new System.EventHandler(this.button_save_Click);
			// 
			// saveFileDialog1
			// 
			this.saveFileDialog1.Filter = "Windows Bitmap|*.bmp|JPEG|*.jpg|PNG|*.png|TIFF|*.tif";
			this.saveFileDialog1.Title = "Select File To Save";
			// 
			// button_about
			// 
			this.button_about.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.button_about.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(255)), ((System.Byte)(192)));
			this.button_about.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button_about.Location = new System.Drawing.Point(8, 384);
			this.button_about.Name = "button_about";
			this.button_about.TabIndex = 9;
			this.button_about.Text = "About";
			this.button_about.Click += new System.EventHandler(this.button_about_Click);
			// 
			// button_close
			// 
			this.button_close.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.button_close.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(192)), ((System.Byte)(192)));
			this.button_close.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button_close.Location = new System.Drawing.Point(704, 384);
			this.button_close.Name = "button_close";
			this.button_close.TabIndex = 10;
			this.button_close.Text = "Close";
			this.button_close.Click += new System.EventHandler(this.button_close_Click);
			// 
			// adssCharts1
			// 
			this.adssCharts1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.adssCharts1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(166)), ((System.Byte)(202)), ((System.Byte)(240)));
			this.adssCharts1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("adssCharts1.BackgroundImage")));
			this.adssCharts1.CaptionsAlignment = System.Drawing.StringAlignment.Center;
			this.adssCharts1.ChannelCaptions = new string[] {
																"January",
																"February",
																"March",
																"April",
																"May",
																"June",
																"July",
																"August",
																"September",
																"October",
																"November",
																"December"};
			this.adssCharts1.Colors = new System.Drawing.Color[] {
																	 System.Drawing.Color.RoyalBlue,
																	 System.Drawing.Color.PaleGreen,
																	 System.Drawing.Color.DeepPink,
																	 System.Drawing.Color.Yellow,
																	 System.Drawing.Color.DeepSkyBlue};
			this.adssCharts1.DisplayCaptionsType = ADSSCharts.DisplayCaptions.Outside;
			this.adssCharts1.DropsShadow = true;
			this.adssCharts1.Fill = ADSSCharts.ChartFill.ColorsArrayGradient;
			this.adssCharts1.FillGradientDirection = ADSSCharts.GradientDirection.Parallel;
			this.adssCharts1.GroupSize = 1;
			this.adssCharts1.LeftMargin = 50;
			this.adssCharts1.Location = new System.Drawing.Point(8, 8);
			this.adssCharts1.MainColor = System.Drawing.Color.Azure;
			this.adssCharts1.Name = "adssCharts1";
			this.adssCharts1.NumberOfChannels = 6;
			this.adssCharts1.Outline = true;
			this.adssCharts1.SecondaryColor = System.Drawing.Color.RoyalBlue;
			this.adssCharts1.ShadowColor = System.Drawing.Color.Black;
			this.adssCharts1.ShadowDistance = 2;
			this.adssCharts1.ShadowOpacity = 50;
			this.adssCharts1.ShowCaptions = true;
			this.adssCharts1.ShowValues = true;
			this.adssCharts1.Size = new System.Drawing.Size(512, 368);
			this.adssCharts1.Spacing = ADSSCharts.ChartSpace.Small;
			this.adssCharts1.TabIndex = 11;
			this.adssCharts1.TopMargin = 50;
			this.adssCharts1.Type = ADSSCharts.ChartType.HorizontalChart;
			this.adssCharts1.Values = new int[] {
													10,
													20,
													30,
													40,
													50,
													45};
			this.adssCharts1.ValuesUnits = "%";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(784, 413);
			this.Controls.Add(this.adssCharts1);
			this.Controls.Add(this.button_close);
			this.Controls.Add(this.button_about);
			this.Controls.Add(this.button_save);
			this.Controls.Add(this.button_stop);
			this.Controls.Add(this.groupBox4);
			this.Controls.Add(this.groupBox3);
			this.Controls.Add(this.groupBox2);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.button_start);
			this.MinimumSize = new System.Drawing.Size(792, 440);
			this.Name = "Form1";
			this.Text = "ADSS Charts DEMO";
			this.groupBox1.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.groupBox3.ResumeLayout(false);
			this.groupBox4.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
		/// <summary>
		/// Starts Animation. Start Button Click Event Handler.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void button_start_Click(object sender, System.EventArgs e)
		{
			button_start.Enabled = false; // Disable Start button
			button_stop.Enabled = true; // Enable Stop Button

			int nNumberOfChannels = 7; // Set Up Number of Channels
			adssCharts1.NumberOfChannels = nNumberOfChannels; 
			
			timer1.Enabled = true; // Enable the timer
		}
		/// <summary>
		/// Variable to hold Phase for sin function
		/// </summary>
		double phase = 0; 
		/// <summary>
		/// Timer Tick event Handler, used to create animation 
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void timer1_Tick(object sender, System.EventArgs e)
		{
			// Let's update all Values and increment Phase
			for (int i = 0;i<adssCharts1.Values.Length;i++)
			{
				adssCharts1.Values[i]=Convert.ToInt32(8+90* Math.Abs( Math.Sin(phase+((double)(i)/(double)adssCharts1.Values.Length)*Math.PI) ) );
				phase += 0.005;
			}//foreach
		}
		/// <summary>
		///  Vertical Chart Radio Button Changed
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void radioButton1_CheckedChanged(object sender, System.EventArgs e)
		{
			// Set type to Vertical Chart
			if( type_radioButton1.Checked ) this.adssCharts1.Type = ADSSCharts.ChartType.VerticalChart;
		}
		/// <summary>
		///  Horizontal Chart Radio Button Changed
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void radioButton2_CheckedChanged(object sender, System.EventArgs e)
		{
			// Set type to Horizontal Chart
			if( type_radioButton2.Checked ) this.adssCharts1.Type = ADSSCharts.ChartType.HorizontalChart;
		}
		/// <summary>
		/// Pie Chart Radio Button Changed
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void radioButton3_CheckedChanged(object sender, System.EventArgs e)
		{
			if( type_radioButton3.Checked ) this.adssCharts1.Type = ADSSCharts.ChartType.PieChart;
		}
		/// <summary>
		///  Change Spacing to NoSpace
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void spacing_radioButton1_CheckedChanged(object sender, System.EventArgs e)
		{
			if( spacing_radioButton1.Checked ) this.adssCharts1.Spacing = ADSSCharts.ChartSpace.NoSpace;
		}
		/// <summary>
		///  Change Spacing to Small
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void spacing_radioButton2_CheckedChanged(object sender, System.EventArgs e)
		{
			if( spacing_radioButton2.Checked ) this.adssCharts1.Spacing = ADSSCharts.ChartSpace.Small;
		}
		/// <summary>
		/// Change Spacing to Medium
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void spacing_radioButton3_CheckedChanged(object sender, System.EventArgs e)
		{
			if( spacing_radioButton3.Checked ) this.adssCharts1.Spacing = ADSSCharts.ChartSpace.Medium;
		}
		/// <summary>
		/// Change Spacing to Large
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void spacing_radioButton4_CheckedChanged(object sender, System.EventArgs e)
		{
			if( spacing_radioButton4.Checked ) this.adssCharts1.Spacing = ADSSCharts.ChartSpace.Large;
		}
		/// <summary>
		///  Change Fill to Solid
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void fill_radioButton1_CheckedChanged(object sender, System.EventArgs e)
		{
			if(fill_radioButton1.Checked ) 
			{
				this.adssCharts1.Fill = ADSSCharts.ChartFill.Solid;
				this.fill_checkBox1.Enabled = false; // Disable Gradient Direction CheckBox
			}
		}
		/// <summary>
		/// Change Fill to Gradient
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void fill_radioButton2_CheckedChanged(object sender, System.EventArgs e)
		{
			if(fill_radioButton2.Checked ) 
			{
				this.adssCharts1.Fill = ADSSCharts.ChartFill.Gradient;
				this.fill_checkBox1.Enabled = true;  // Enable Gradient Direction CheckBox
			}
		}
		/// <summary>
		///  Change Fill to ColorsArray
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void fill_radioButton3_CheckedChanged(object sender, System.EventArgs e)
		{
			if(fill_radioButton3.Checked ) 
			{
				this.adssCharts1.Fill = ADSSCharts.ChartFill.ColorsArray;
				this.fill_checkBox1.Enabled = false; // Disable Gradient Direction CheckBox
			}
		}
		/// <summary>
		///  Change Fill to ColorsArrayGradient
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void fill_radioButton4_CheckedChanged(object sender, System.EventArgs e)
		{
			if(fill_radioButton4.Checked ) 
			{
				this.adssCharts1.Fill = ADSSCharts.ChartFill.ColorsArrayGradient;
				this.fill_checkBox1.Enabled = true; // Enable Gradient Direction CheckBox
			}
		}
		/// <summary>
		///  Gradient Direction Checkbox Changed Event Handler. Selects one of two Directions.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void fill_checkBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			if(fill_checkBox1.Checked) this.adssCharts1.FillGradientDirection = ADSSCharts.GradientDirection.Parallel;
			else this.adssCharts1.FillGradientDirection = ADSSCharts.GradientDirection.Perpendicular;
		}
		/// <summary>
		///  Outline Flag Checkbox Changed Event Handler. Enables or Disables Outline of Chart elements.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void fill_checkBox2_CheckedChanged(object sender, System.EventArgs e)
		{
			this.adssCharts1.Outline = fill_checkBox2.Checked;
		}
		/// <summary>
		///  ShowCaptions Flag Checkbox Changed Event Handler. Shows or Hides Captions.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void other_checkBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			this.adssCharts1.ShowCaptions = other_checkBox1.Checked;
		}
		/// <summary>
		///  ShowValues Flag Checkbox Changed Event Handler. Shows or Hides Values.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void other_checkBox2_CheckedChanged(object sender, System.EventArgs e)
		{
			this.adssCharts1.ShowValues = other_checkBox2.Checked;
		}
		/// <summary>
		///  Inside/Outside captions and values switch.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void other_checkBox3_CheckedChanged(object sender, System.EventArgs e)
		{
			if(this.other_checkBox3.Checked)
			{
				this.adssCharts1.DisplayCaptionsType = ADSSCharts.DisplayCaptions.Inside;
   			}
			else 
			this.adssCharts1.DisplayCaptionsType = ADSSCharts.DisplayCaptions.Outside;
		}
		/// <summary>
		///  DropsShadows Flag Checkbox Changed Event Handler. Shows or Hides Shadows.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void checkBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			this.adssCharts1.DropsShadow = checkBox1.Checked;
		}
		/// <summary>
		///  Stop Button Handler. Stops animation.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void button_stop_Click(object sender, System.EventArgs e)
		{
			timer1.Enabled = false;
			button_start.Enabled = true;
			button_stop.Enabled = false;
		}
		/// <summary>
		///  Storage for background image while image is disabled.
		/// </summary>
		System.Drawing.Image backImage = null;
		/// <summary>
		///  Background Image Switch
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void checkBox2_CheckedChanged(object sender, System.EventArgs e)
		{
			if( checkBox2.Checked )
			{
				adssCharts1.BackgroundImage = backImage;
			} else 
			{
				backImage = adssCharts1.BackgroundImage;
				adssCharts1.BackgroundImage = null;
			}
			adssCharts1.Invalidate(); // Called to repaint object.
		}
		/// <summary>
		///  Save Button Click Handler. Calls SaveDialog to save chart with new Size and FileName.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void button_save_Click(object sender, System.EventArgs e)
		{
			SaveDialog saveDlg1 = new SaveDialog();
			saveDlg1.outputWidth = this.adssCharts1.Width;
			saveDlg1.outputHeight = this.adssCharts1.Height;

			if( saveDlg1.ShowDialog()==DialogResult.OK )
			{	
				System.Drawing.Imaging.ImageFormat format = null;
				string ext = System.IO.Path.GetExtension( saveDlg1.fileName ).ToLower();
				switch( ext  )
				{
				    case ".bmp":
				    {
						format = System.Drawing.Imaging.ImageFormat.Bmp;
				        break;
				    }

					case ".jpg":
					{
						format = System.Drawing.Imaging.ImageFormat.Jpeg;
						break;
					}
				
					case ".tif":
					{
						format = System.Drawing.Imaging.ImageFormat.Tiff;
						break;
					}
				
					case ".png":
					{
						format = System.Drawing.Imaging.ImageFormat.Png;
						break;
					}

					default:
					{
						format = System.Drawing.Imaging.ImageFormat.Bmp;
						break;
					}

				}//switch
				// Call to SaveToFile method. Read Manual for Details.
				adssCharts1.SaveToFile( saveDlg1.fileName , format , saveDlg1.outputWidth , saveDlg1.outputHeight );
			}
		}
		/// <summary>
		///  About Button handler. Shows About Window.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void button_about_Click(object sender, System.EventArgs e)
		{
			AboutDialog aboutDlg = new AboutDialog();
			aboutDlg.ShowDialog();
		}
		/// <summary>
		///  Close Button Handler. Closes Demo.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void button_close_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void group_checkBox_CheckedChanged(object sender, System.EventArgs e)
		{
			if( group_checkBox.Checked)
			{
				adssCharts1.GroupSize = 3;
			}
			else
			{
				adssCharts1.GroupSize = 1;
			}
		}

		
	}
}
